Skip to main content
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
locations
/
{locationId}
Update Location
curl --request PATCH \
  --url https://api.selcor.ai/v1/workspaces/{workspaceId}/locations/{locationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "timezone": "<string>",
  "phone_number": "<string>",
  "address": "<string>",
  "website_url": "<string>",
  "activated": true,
  "booking_enabled": true,
  "provider_selection_mode": "REQUIRED"
}
'
{
  "data": {
    "id": "<string>",
    "workspace_id": "<string>",
    "name": "<string>",
    "timezone": "<string>",
    "phone_number": "<string>",
    "address": "<string>",
    "website_url": "<string>",
    "activated": true,
    "booking_enabled": true,
    "provider_selection_mode": "<string>",
    "agent_setup_status": "<string>",
    "voice_agent_id": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key in format: sk_live_...

Path Parameters

locationId
string
required

Body

application/json
name
string
Required string length: 1 - 200
timezone
string
phone_number
string
address
string
website_url
string<uri>
activated
boolean
booking_enabled
boolean
provider_selection_mode
enum<string>
Available options:
REQUIRED,
OPTIONAL,
NONE

Response

200 - application/json

Updated location

data
object
required
request_id
string
required